%define	upstream_name    Crypt-GPG
%define upstream_version 1.64

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    A Perl Object Oriented Interface to GnuPG
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Date::Parse)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IPC::Run)
BuildArch:  noarch

%description
This is Crypt::PGP, a Perl Object Oriented Interface to GnuPG

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Crypt
%{_mandir}/*/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.640.0-4.mga9
+ Revision: 1802693
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.640.0-3.mga8
+ Revision: 1493609
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.640.0-2.mga7
+ Revision: 1266797
- Mageia 7 Mass Rebuild

* Wed Mar 01 2017 bcornec <bcornec> 1.640.0-1.mga6
+ Revision: 1088308
- import upstream perl-Cryp-GPG
- Created package structure for perl-Crypt-GPG.

